aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/common
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/common')
-rw-r--r--coin/provisioning/common/install-mingw.ps12
-rw-r--r--coin/provisioning/common/libclang.ps124
-rw-r--r--coin/provisioning/common/open62541.sh51
3 files changed, 69 insertions, 8 deletions
diff --git a/coin/provisioning/common/install-mingw.ps1 b/coin/provisioning/common/install-mingw.ps1
index f835059a..cabc906c 100644
--- a/coin/provisioning/common/install-mingw.ps1
+++ b/coin/provisioning/common/install-mingw.ps1
@@ -58,7 +58,7 @@ function InstallMinGW
Get-ChildItem $mingwPackage | % {& "C:\Utils\sevenzip\7z.exe" "x" $_.fullname "-o$TARGETDIR"}
echo "Adding MinGW environment variable."
- [Environment]::SetEnvironmentVariable("$envvar", "$targetdir\mingw32", [EnvironmentVariableTarget]::Machine)
+ [Environment]::SetEnvironmentVariable("$envvar", "$targetdir\mingw" + $win_arch.Substring($win_arch.get_Length()-2), [EnvironmentVariableTarget]::Machine)
echo "Cleaning $mingwPackage.."
Remove-Item -Recurse -Force "$mingwPackage"
diff --git a/coin/provisioning/common/libclang.ps1 b/coin/provisioning/common/libclang.ps1
index a4a9c870..02a3974a 100644
--- a/coin/provisioning/common/libclang.ps1
+++ b/coin/provisioning/common/libclang.ps1
@@ -4,29 +4,39 @@ param([Int32]$archVer=32)
# PySide versions following 5.6 use a C++ parser based on Clang (http://clang.org/).
# The Clang library (C-bindings), version 3.9 or higher is required for building.
+# Starting from Qt 5.11 QDoc requires Clang to parse C++
+
Get-Content "$PSScriptRoot\..\common\sw_versions.txt" | Foreach-Object {
$var = $_.Split('=')
New-Variable -Name $var[0] -Value $var[1]
$libclang_version = $libclang_version -replace '["."]'
}
+$zip = "c:\users\qt\downloads\libclang.7z"
+$baseDestination = "C:\Utils\libclang-" + $libclang_version
if ( $archVer -eq 64 ) {
$sha1 = "dc42beb0efff130c4d7dfef3c97adf26f1ab04e0"
$url = "https://download.qt.io/development_releases/prebuilt/libclang/libclang-release_$libclang_version-windows-vs2015_64.7z"
-} else {
- $sha1 = "64e826c00ae632fbb28655e6e1fa9194980e1205"
- $url = "https://download.qt.io/development_releases/prebuilt/libclang/libclang-release_$libclang_version-windows-vs2015_32.7z"
+ $destination = $baseDestination + "-64"
+
+ Download $url $url $zip
+ Verify-Checksum $zip $sha1
+
+ C:\Utils\sevenzip\7z.exe x $zip -oC:\Utils\
+ Rename-Item C:\Utils\libclang $destination
+ del $zip
}
-$zip = "c:\users\qt\downloads\libclang.7z"
-$destination = "C:\Utils\libclang-" + $libclang_version
+$sha1 = "64e826c00ae632fbb28655e6e1fa9194980e1205"
+$url = "https://download.qt.io/development_releases/prebuilt/libclang/libclang-release_$libclang_version-windows-vs2015_32.7z"
+$destination = $baseDestination + "-32"
Download $url $url $zip
Verify-Checksum $zip $sha1
C:\Utils\sevenzip\7z.exe x $zip -oC:\Utils\
Rename-Item C:\Utils\libclang $destination
-
-[Environment]::SetEnvironmentVariable("LLVM_INSTALL_DIR", $destination, [EnvironmentVariableTarget]::Machine)
del $zip
+
+[Environment]::SetEnvironmentVariable("LLVM_INSTALL_DIR", $baseDestination + "-_ARCH_", [EnvironmentVariableTarget]::Machine)
echo "libClang = $libclang_version" >> ~/versions.txt
diff --git a/coin/provisioning/common/open62541.sh b/coin/provisioning/common/open62541.sh
new file mode 100644
index 00000000..d5f6dbe3
--- /dev/null
+++ b/coin/provisioning/common/open62541.sh
@@ -0,0 +1,51 @@
+#!/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+TEMPDIR=$(mktemp --directory) || echo "Failed to create temporary directory"
+trap "sudo rm -fr $TEMPDIR" EXIT
+cd $TEMPDIR
+
+sudo pip install six
+
+git clone https://github.com/open62541/open62541.git open62541
+cd open62541
+git checkout 302003d2448946fa4d8a02cc209b8931d31e975b
+mkdir build
+cd build
+cmake -DUA_ENABLE_AMALGAMATION=ON -DUA_ENABLE_METHODCALLS=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr/local -DLIB_INSTALL_DIR:PATH=/usr/local/lib ..
+make
+
+sudo make install
+sudo /sbin/ldconfig